<template>
    <v-card class="mx-auto" max-width="300">

    <v-img src="../../assets/refri.png" height="100px" class="text-center align-center center">
        <span :elevation="4" style="text-shadow: 2px 2px #000;" class="display-4 font-weight-bold white--text">
          {{objRefri.quantidade}}
        </span>
    </v-img>

    <v-card-title class="titulo-produto-pedido">
      Refri
      <v-spacer></v-spacer>
      <v-btn icon @click="show = !show">
        <v-icon>{{ show ? 'mdi-chevron-up' : 'mdi-chevron-down' }}</v-icon>
      </v-btn>
    </v-card-title>

    <v-expand-transition>
      <div v-show="show">
        <v-divider></v-divider>
        <v-card-text>
          <span v-for="(item,index) in objRefri.itens" :key='index'>
            <v-img v-show="item.nome == '3'" src="../../assets/refri-coca.png" width="50px" class="left">{{item.quantidade}}</v-img>
            <v-img v-show="item.nome == '4'" src="../../assets/refri-fanta.png" width="50px" class="left">{{item.quantidade}}</v-img>
            <v-img v-show="item.nome == '5'" src="../../assets/refri-sprite.jpg" width="50px" class="left">{{item.quantidade}}</v-img>
            <v-img v-show="item.nome == '7'" src="../../assets/refri-kuat.jpg" width="50px" class="left">{{item.quantidade}}</v-img>
            <v-img v-show="item.nome == '8'" src="../../assets/agua.png" width="50px" class="left">{{item.quantidade}}</v-img>
          </span>
          

        </v-card-text>
      </div>
    </v-expand-transition>
  </v-card>
</template>

<style lang="scss">

</style>

<script>
    export default {
        name: 'Refri',
        inject: [

        ],
        props: [
          'objRefri'
        ],
        data() {
            return {
                show: true,
            }
        },
        watch: {

        },
        methods: {
            
        }
    }
</script>